Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# gnFileContig Class Reference

gnFileContig is used by source classes to track the location of sequence data on disk. More...

`#include <gnFileContig.h>`

Inheritance diagram for gnFileContig::

List of all members.

## Public Methods
| gnFileContig ()
| gnFileContig (string nameStr, const uint64 pos, const uint64 len)
| gnFileContig (const gnFileContig &fc)
| ~gnFileContig ()
gnFileContig* | Clone () const
void | Clear ()
string | GetName () const
gnSeqI | GetSeqLength () const
pair<uint64,uint64> | GetFileStartEnd () const
uint64 | GetFileLength () const
pair<uint64,uint64> | GetSectStartEnd (const gnContigSection i) const
uint64 | GetSectLength (gnContigSection i) const
boolean | HasRepeatSeqGap () const
pair<uint32,uint32> | GetRepeatSeqGapSize () const
boolean | SetName (string nameStr)
boolean | SetSeqLength (const gnSeqI len)
boolean | AddToSeqLength (const gnSeqI len)
boolean | SetFileStart (const uint64 s)
boolean | SetFileEnd (const uint64 e)
boolean | SetFileStartEnd (const pair< uint64, uint64 > se)
boolean | SetSectStart (const gnContigSection i, const uint64 s)
boolean | SetSectEnd (const gnContigSection i, const uint64 e)
boolean | SetSectStartEnd (const gnContigSection i, const pair< uint64, uint64 > se)
boolean | SetRepeatSeqGap (const boolean rsg)
boolean | SetRepeatSeqGapSize (const pair< uint64, uint64 > rsgSize)
boolean | SetRepeatSeqSize (const uint64 seqSize)
boolean | SetRepeatGapSize (const uint64 gapSize)
## Private Attributes
string | m_name
gnSeqI | m_seqLength
pair<uint64,uint64> | m_fileStartEnd
pair<uint64,uint64> | m_startEndArray [CONTIG_SECTION_SIZE]
boolean | m_repeatSeqGap
pair< uint64, uint64 > | m_repeatSeqGapSize

## Detailed Description

gnFileContig is used by source classes to track the location of sequence data on disk.

gnFileContig stores the start and end byte offset, and the size of a repeated gap in the sequence data. Also stores whether the sequence data is in the expected format or if it is corrupted.

Definition at line 31 of file gnFileContig.h.

## Constructor & Destructor Documentation

gnFileContig::gnFileContig ( | )

| Definition at line 16 of file gnFileContig.cpp. Referenced by Clone().

gnFileContig::gnFileContig ( | string nameStr,
| const uint64 pos,
| const uint64 len )

| Definition at line 20 of file gnFileContig.cpp.

gnFileContig::gnFileContig ( | const gnFileContig & fc )

| Definition at line 27 of file gnFileContig.cpp.

gnFileContig::~gnFileContig ( | )

| Definition at line 37 of file gnFileContig.cpp.

## Member Function Documentation

boolean gnFileContig::AddToSeqLength ( | const gnSeqI len )`[inline]`

| Definition at line 140 of file gnFileContig.h. Referenced by gnFASSource::ParseStream().

void gnFileContig::Clear ( | )

| Definition at line 40 of file gnFileContig.cpp. Referenced by gnFileContig().

gnFileContig * gnFileContig::Clone ( | ) const`[inline, virtual]`

| Reimplemented from gnClone. Definition at line 77 of file gnFileContig.h.

uint64 gnFileContig::GetFileLength ( | ) const`[inline]`

| Definition at line 98 of file gnFileContig.h.

pair< uint64, uint64 > gnFileContig::GetFileStartEnd ( | ) const`[inline]`

| Definition at line 93 of file gnFileContig.h. Referenced by main().

string gnFileContig::GetName ( | ) const`[inline]`

| Definition at line 83 of file gnFileContig.h. Referenced by gnSEQSource::GetContigID(), gnGBKSource::GetContigID(), gnFASSource::GetContigID(), gnSEQSource::GetContigName(), gnGBKSource::GetContigName(), gnFASSource::GetContigName(), gnABISource::GetContigName(), gnSEQSource::HasContig(), gnGBKSource::HasContig(), gnFASSource::HasContig(), and main().

pair< uint32, uint32 > gnFileContig::GetRepeatSeqGapSize ( | ) const`[inline]`

| Definition at line 122 of file gnFileContig.h. Referenced by gnSEQSource::ParseStream(), gnSEQSource::SeqStartPos(), gnFASSource::SeqStartPos(), and main().

uint64 gnFileContig::GetSectLength ( | gnContigSection i ) const`[inline]`

| Definition at line 110 of file gnFileContig.h.

pair< uint64, uint64 > gnFileContig::GetSectStartEnd ( | const gnContigSection i ) const`[inline]`

| Definition at line 103 of file gnFileContig.h. Referenced by gnFASSource::GetSpec(), gnSEQSource::SeqStartPos(), gnGBKSource::SeqStartPos(), gnFASSource::SeqStartPos(), and main().

gnSeqI gnFileContig::GetSeqLength ( | ) const`[inline]`

| Definition at line 88 of file gnFileContig.h. Referenced by gnSEQSource::GetContigSeqLength(), gnRAWSource::GetContigSeqLength(), gnGBKSource::GetContigSeqLength(), gnFASSource::GetContigSeqLength(), gnABISource::GetContigSeqLength(), gnSEQSource::SeqRead(), gnGBKSource::SeqRead(), gnFASSource::SeqRead(), and main().

boolean gnFileContig::HasRepeatSeqGap ( | ) const`[inline]`

| Definition at line 117 of file gnFileContig.h. Referenced by gnSEQSource::SeqStartPos(), gnGBKSource::SeqStartPos(), gnFASSource::SeqStartPos(), and main().

boolean gnFileContig::SetFileEnd ( | const uint64 e )`[inline]`

| Definition at line 152 of file gnFileContig.h. Referenced by gnFASSource::ParseStream().

boolean gnFileContig::SetFileStart ( | const uint64 s )`[inline]`

| Definition at line 146 of file gnFileContig.h. Referenced by gnFASSource::ParseStream().

boolean gnFileContig::SetFileStartEnd ( | const pair< uint64, uint64 > se )`[inline]`

| Definition at line 158 of file gnFileContig.h.

boolean gnFileContig::SetName ( | string nameStr )`[inline]`

| Definition at line 128 of file gnFileContig.h. Referenced by gnSEQSource::ParseStream(), gnGBKSource::ParseStream(), and gnFASSource::ParseStream().

boolean gnFileContig::SetRepeatGapSize ( | const uint64 gapSize )

| Definition at line 65 of file gnFileContig.cpp. Referenced by gnSEQSource::ParseStream(), gnFASSource::ParseStream(), and SetRepeatSeqGapSize().

boolean gnFileContig::SetRepeatSeqGap ( | const boolean rsg )`[inline]`

| Definition at line 194 of file gnFileContig.h. Referenced by gnSEQSource::ParseStream(), gnRAWSource::ParseStream(), gnGBKSource::ParseStream(), and gnFASSource::ParseStream().

boolean gnFileContig::SetRepeatSeqGapSize ( | const pair< uint64, uint64 > rsgSize )`[inline]`

| Definition at line 200 of file gnFileContig.h.

boolean gnFileContig::SetRepeatSeqSize ( | const uint64 seqSize )

| Definition at line 51 of file gnFileContig.cpp. Referenced by gnSEQSource::ParseStream(), gnFASSource::ParseStream(), and SetRepeatSeqGapSize().

boolean gnFileContig::SetSectEnd ( | const gnContigSection i,
| const uint64 e )`[inline]`

| Definition at line 174 of file gnFileContig.h. Referenced by gnSEQSource::ParseStream(), gnRAWSource::ParseStream(), gnGBKSource::ParseStream(), and gnFASSource::ParseStream().

boolean gnFileContig::SetSectStart ( | const gnContigSection i,
| const uint64 s )`[inline]`

| Definition at line 164 of file gnFileContig.h. Referenced by gnSEQSource::ParseStream(), gnRAWSource::ParseStream(), gnGBKSource::ParseStream(), and gnFASSource::ParseStream().

boolean gnFileContig::SetSectStartEnd ( | const gnContigSection i,
| const pair< uint64, uint64 > se )`[inline]`

| Definition at line 184 of file gnFileContig.h.

boolean gnFileContig::SetSeqLength ( | const gnSeqI len )`[inline]`

| Definition at line 134 of file gnFileContig.h. Referenced by gnSEQSource::ParseStream(), gnRAWSource::ParseStream(), and gnGBKSource::ParseStream().

## Member Data Documentation

pair< uint64, uint64 > gnFileContig::m_fileStartEnd<uint64,uint64>`[private]`

| Definition at line 67 of file gnFileContig.h.

string gnFileContig::m_name`[private]`

| Definition at line 65 of file gnFileContig.h.

boolean gnFileContig::m_repeatSeqGap`[private]`

| Definition at line 71 of file gnFileContig.h.

pair< uint64, uint64 > gnFileContig::m_repeatSeqGapSize< uint64, uint64 >`[private]`

| Definition at line 72 of file gnFileContig.h.

gnSeqI gnFileContig::m_seqLength`[private]`

| Definition at line 66 of file gnFileContig.h.

pair< uint64, uint64 > gnFileContig::m_startEndArray<uint64,uint64>`[private]`

| Definition at line 69 of file gnFileContig.h.

The documentation for this class was generated from the following files:

- gnFileContig.h
- gnFileContig.cpp